Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.layout
Class ColumnSpec

    java.lang.Object
      com.jgoodies.forms.layout.FormSpec
          com.jgoodies.forms.layout.ColumnSpec

All Implemented Interfaces:
  Serializable

    public final class ColumnSpec

extends FormSpec

Specifies columns in FormLayout by their default orientation, start size and resizing behavior.

Examples:
The following examples specify a column with FILL alignment, a size of 10 dlu that won't grow.

     new ColumnSpec(Sizes.dluX(10));
     new ColumnSpec(ColumnSpec.FILL, Sizes.dluX(10), 0.0);
     new ColumnSpec(ColumnSpec.FILL, Sizes.dluX(10), ColumnSpec.NO_GROW);
     new ColumnSpec("10dlu");
     new ColumnSpec("10dlu:0");
     new ColumnSpec("fill:10dlu:0");

The `FormFactory` provides predefined frequently used ColumnSpec instances.

Version:
  $Revision: 1.2 $
Author:
  Karsten Lentzsch
See Also:
  `FormFactory`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.jgoodies.forms.layout.FormSpec
`FormSpec.DefaultAlignment`

Field Summary
`static FormSpec.DefaultAlignment` | `CENTER` By default put the components in the center.
`static FormSpec.DefaultAlignment` | `DEFAULT` Unless overridden the default alignment for a column is FILL.
`static FormSpec.DefaultAlignment` | `FILL` By default fill the component into the column.
`static FormSpec.DefaultAlignment` | `LEFT` By default put components in the left.
`static FormSpec.DefaultAlignment` | `MIDDLE` By default put components in the middle.
`static FormSpec.DefaultAlignment` | `RIGHT` By default put components in the right.

Fields inherited from class com.jgoodies.forms.layout.FormSpec
`DEFAULT_GROW, NO_GROW`

Constructor Summary
`ColumnSpec(FormSpec.DefaultAlignment defaultAlignment, Size size, double resizeWeight)` Constructs a ColumnSpec for the given default alignment, size and resize weight.
`ColumnSpec(Size size)` Constructs a ColumnSpec for the given size using the default alignment, and no resizing.
`ColumnSpec(String encodedDescription)` Constructs a ColumnSpec from the specified encoded description.

Method Summary
`static ColumnSpec[]` | `decodeSpecs(String encodedColumnSpecs)` Parses and splits encoded column specifications and returns an array of ColumnSpec objects.
`protected boolean` | `isHorizontal()` Returns if this is a horizontal specification (vs. vertical).

Methods inherited from class com.jgoodies.forms.layout.FormSpec
`getDefaultAlignment, getResizeWeight, getSize, toShortString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEFT

    public static final FormSpec.DefaultAlignment LEFT

  By default put components in the left.

### CENTER

    public static final FormSpec.DefaultAlignment CENTER

  By default put the components in the center.

### MIDDLE

    public static final FormSpec.DefaultAlignment MIDDLE

  By default put components in the middle.

### RIGHT

    public static final FormSpec.DefaultAlignment RIGHT

  By default put components in the right.

### FILL

    public static final FormSpec.DefaultAlignment FILL

  By default fill the component into the column.

### DEFAULT

    public static final FormSpec.DefaultAlignment DEFAULT

  Unless overridden the default alignment for a column is FILL.

Constructor Detail

### ColumnSpec

    public ColumnSpec(FormSpec.DefaultAlignment defaultAlignment,
                      Size size,
                      double resizeWeight)

  Constructs a ColumnSpec for the given default alignment, size and resize weight.

  The resize weight must be a non-negative double; you can use `NO_GROW` as a convenience value for no resize.

  Parameters:
    `defaultAlignment` - the column's default alignment
    `size` - constant, component size or bounded size
    `resizeWeight` - the column's non-negative resize weight
  Throws:
    `IllegalArgumentException` - if the size is invalid or the resize weight is negative

### ColumnSpec

    public ColumnSpec(Size size)

  Constructs a ColumnSpec for the given size using the default alignment, and no resizing.

  Parameters:
    `size` - constant size, component size, or bounded size
  Throws:
    `IllegalArgumentException` - if the size is invalid

### ColumnSpec

    public ColumnSpec(String encodedDescription)

  Constructs a ColumnSpec from the specified encoded description. The description will be parsed to set initial values.

  Parameters:
    `encodedDescription` - the encoded description

Method Detail

### isHorizontal

    protected final boolean isHorizontal()

  Returns if this is a horizontal specification (vs. vertical). Used to distinct between horizontal and vertical dialog units, which have different conversion factors.

  Returns:
    always true (for horizontal)

### decodeSpecs

    public static ColumnSpec[] decodeSpecs(String encodedColumnSpecs)

  Parses and splits encoded column specifications and returns an array of ColumnSpec objects.

  Parameters:
    `encodedColumnSpecs` - comma separated encoded column specifications
  Returns:
    an array of decoded column specifications
  Throws:
    `NullPointerException` - if the encoded column specifications string is `null`
  See Also:
    `ColumnSpec(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 JGoodies Karsten Lentzsch. All Rights Reserved.